Bug 966115 - SDL_config.h wrapper lacks aarch64 support
SDL_config.h wrapper lacks aarch64 support
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-22 10:11 EDT by Mark Salter
Modified: 2013-07-26 07:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: SDL-1.2.15-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-26 07:51:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Salter 2013-05-22 10:11:17 EDT
Description of problem:
Following patch needed to support aarch64:

diff --git a/SDL_config.h b/SDL_config.h
index 298a1d8..109f879 100644
--- a/SDL_config.h
+++ b/SDL_config.h
@@ -57,6 +57,8 @@
 #include "SDL_config-sparc64.h"
 #elif defined(__sparc__)
 #include "SDL_config-sparc.h"
+#elif defined(__aarch64__)
+#include "SDL_config-aarch64.h"
 #error "The SDL-devel package is not usable with the architecture."

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Fedora Update System 2013-05-23 02:55:37 EDT
SDL-1.2.15-8.fc19 has been submitted as an update for Fedora 19.
Comment 2 Fedora Update System 2013-05-26 23:29:58 EDT
SDL-1.2.15-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.